---
sidebar_label: ConsoleMessage
---

# ConsoleMessage class

ConsoleMessage objects are dispatched by page via the 'console' event.

**Signature:**

```typescript
export declare class ConsoleMessage
```

## Constructors

| Constructor                                                                                         | Modifiers | Description                                                        |
| --------------------------------------------------------------------------------------------------- | --------- | ------------------------------------------------------------------ |
| [(constructor)(type, text, args, stackTraceLocations)](./puppeteer.consolemessage._constructor_.md) |           | Constructs a new instance of the <code>ConsoleMessage</code> class |

## Methods

| Method                                                   | Modifiers | Description |
| -------------------------------------------------------- | --------- | ----------- |
| [args()](./puppeteer.consolemessage.args.md)             |           |             |
| [location()](./puppeteer.consolemessage.location.md)     |           |             |
| [stackTrace()](./puppeteer.consolemessage.stacktrace.md) |           |             |
| [text()](./puppeteer.consolemessage.text.md)             |           |             |
| [type()](./puppeteer.consolemessage.type.md)             |           |             |
